import React, { Children } from "react";
import { ComponentStory, ComponentMeta } from '@storybook/react';
import Badge from "./Badge";



export default{
    title: 'Badge',
    component: Badge,
} as ComponentMeta<typeof Badge>;

const Template: ComponentStory<typeof Badge> = (args) => <Badge {...args} />;

export const High = Template.bind({});
High.args = {
    emphasis: 'high',
    children: ['Tom Cook'],
};

export const Medium = Template.bind({});
Medium.args = {
    emphasis: 'medium',
    children: ['Tanya Fox'],
};

export const Low = Template.bind({});
Low.args = {
    emphasis:'low',
    children:['Hellen Schmidt'],
};