import { SearchResults } from "./searchResultsEntity";

interface SearchResultsStore {
  searchResults: SearchResults | undefined;
  isLoading: boolean;
  isFailed: boolean;
  failure: undefined;
  searchRequest: string;

  /* --------------------------------- Actions -------------------------------- */
  search(request: string): Promise<SearchResults | undefined>;
  changeSearchRequest(searchRequest: string): void;
}
export type { SearchResultsStore };
